Kerbal Space Program - Feature #2853

Reputation not increasing (after whatever contract is completed)
08/03/2014 01:16 PM - Levfendi

Status: Not a Bug % Done: 0%
Severity: Unworthy
Assignee:
Target version:

Platform: Windows Mod Related: No

Expansion:

Description

| am using Windows 8.1
| am using the steam version of KSP, the version number is 24.2.559

The bug is that my total reputation value is stuck at 976. It does not increase upon completing many different contracts despite
science and funds increasing. | tried accepting and then cancelling a contract. | lost funds upon cancelling, but not any reputation
(but I'm not sure if | am supposed to in this case anyway).

Before writing this report | started a new career game and completed the first contracts there. The reputation in that game DID
increase.

The bug has been occurring for a few days but | did not notice until now because | was carried away by the game. :D Upon
completing quite a few contracts in one mission, | realized that | really should have passed the 1000 reputation milestone, and then
noticed the number of 976 had not been changing.

The bug may be related to my quick-save usage. In the past | had reloaded a quick-save after completing the mission in an
undesirable way; | launched a new vessel and pressed F9 to revert to the previous mission. | cannot confirm that this action is the
cause of the bug. Another possible cause is me recovering most vessels when time is warped as 4x.

If the information is of any use, 99% of the time | discard information about completed contracts after completing missions.

| have also attached a (screenshot) list of contracts | have completed, should it be useful. Some of these | completed after the bug
began, but | don't exactly know which.

| have also searched this site and on search engines for this bug. | failed to find any reports of it.

History

#1 - 08/06/2014 11:01 AM - moxian

- File rep1.png added

- File rep2.png added

- File rep3.png added

- File rep4.png added

Can confirm.

Did a little bit of testing. Contracts asking to test smth at launchpad and yielding very little rep worked fine.
Retrieving data from space around Kerbin gave no rep, but did give science (and maybe funds - not sure).
Sequential screenshots rep[1-4].png attached.

Win7 64bit, running 32-bit executable 0.24.2.559 steam version here.

#2 - 09/08/2014 10:29 AM - Geschosskopf

- Tracker changed from Bug to Feature

- Status changed from New to Not a Bug

- Severity changed from Normal to Unworthy
- % Done changed from 0 to 100

You don't get the amount of reputation shown in the contract (which is also shown in the recovery screens). If this was the case, then there'd be no
upper limit to reputation, which would cause problems when setting cash rewards for subsequent contracts. So instead, reputation has an upper limit
of 1000 and the contract amount of rep gets run through a formula that exponentially decreases the net amount you actually receive the closer your
total rep already is to 1000. Bottom line is, once your rep gets over about 950, each contract is adding only a fraction of a point so don't expect to see
the total change over 1 or a few missions.
